package com.clx.performance.dao.loan;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.mapper.loan.OwnerPaymentMapper;
import com.clx.performance.model.loan.OwnerPayment;
import com.clx.performance.param.pc.loan.carrier.PageCarrierOwnerPaymentParam;
import com.msl.common.dao.BaseDao;

import java.util.List;

/**
 * @author kavin
 * Date 2024-01-20
 * Time 13:31
 */
public interface OwnerPaymentDao extends BaseDao<OwnerPaymentMapper, OwnerPayment, Integer> {

    IPage<OwnerPayment> pageOwnerPayment(PageCarrierOwnerPaymentParam param);

    void updateStatusAndMerchantRunningWaterNo(OwnerPayment ownerPayment);

    List<OwnerPayment> selectListByPayStatus(Integer status);

    void updatePayStatus(Integer id, Integer status);
}
